<?php

/**------------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Fichier dependancy.php
*
*Ce fichier contient les appels aux différents éléments system
*
* @author Rooty <www.rooty.me|rooty@rooty.me>
* @link www.rooty.me
* @since 2018/04/02
* @version 0.3
* @package system_control
* @copyright Copyright &copy; 2009-2018, Rooty
*/

#####################################################################################################
################################# Parametrage
#####################################################################################################
/**
* declaration du system... si cette variable n'est pas définie, les fichier inclus ne marche pas...
* cette variable est déclarée sur la page d'execution du script.
* <p> if ( !defined('SYSTEM_IN') )
* {
* die("Hacking attempt");
* }</p>
*/
if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

#####################################################################################################
################################# Utilitaires
#####################################################################################################
if (!file_exists($CONF_LIB_PATH."lib/system/system_utils/lib_utils.php"))
{
	echo "Impossible d'executer le système : chemin racine mal configuré";
	die();
}


/* Ce fichier contient les fonctions utiles */
include($CONF_LIB_PATH."lib/system/system_utils/lib_utils.php");
/* Ce fichier contient les alias system */


include($CONF_LIB_PATH."lib/system/system_utils/lib_system.php");
/* Ce fichier contient la classe de normalisation de chaine */



include($CONF_LIB_PATH."lib/system/system_utils/chaine.php");
/* Ce fichier contient la classe de normalisation de chiffre */
include($CONF_LIB_PATH."lib/system/system_utils/chiffre.php");
/* Ce fichier contient la classe de normalisation de chiffre */
include($CONF_LIB_PATH."lib/system/system_utils/ndate.php");
/* Ce fichier contient la classe de normalisation de chiffre */
include($CONF_LIB_PATH."lib/system/system_utils/xlanguechaine.php");


#####################################################################################################
### Source de données annexes
#####################################################################################################

/* Inclusion de la source XML */
include($CONF_LIB_PATH."lib/system/system_data_source/xml/xml.php");
/* Inclusion de la source XML */
//include($CONF_LIB_PATH."lib/system/system_data_source/xml/rssparser.php");
/* Inclusion de la source FILE */
include($CONF_LIB_PATH."lib/system/system_data_source/file/file.php");
/* Inclusion de la source CVS */
include($CONF_LIB_PATH."lib/system/system_data_source/file/csv.php");
/* Inclusion de la clase abstraite de DB */
include($CONF_LIB_PATH."lib/system/system_data_source/database/database.php");


#####################################################################################################
### Elèments Système (inclusion des ManagerFactory et objets system)
#####################################################################################################


/* inclusion des modéles d'arbre */
include($CONF_LIB_PATH."lib/system/system_data_model/tree.php");
/* inclusion des modéles de liste d'arbre */
include($CONF_LIB_PATH."lib/system/system_data_model/treelist.php");
/* inclusion des modéles de factory */
include($CONF_LIB_PATH."lib/system/system_data_model/factory.php");
/* inclusion des modéles de factory */
include($CONF_LIB_PATH."lib/system/system_data_model/manager.php");

/* Ce fichier contient la classe Langue */
include($CONF_LIB_PATH."lib/system/system_data/language/languagemanagerfactory.php");
/* Ce fichier contient la classe User */
include($CONF_LIB_PATH."lib/system/system_data/user/usermanagerfactory.php");
/* Ce fichier contient la classe User */
include($CONF_LIB_PATH."lib/system/system_data/userpreference/userpreferencemanagerfactory.php");
/* Ce fichier contient la classe Group */
include($CONF_LIB_PATH."lib/system/system_data/group/groupmanagerfactory.php");
/* Ce fichier contient la classe Node */
include($CONF_LIB_PATH."lib/system/system_data/node/nodemanagerfactory.php");
/* Classe GroupUser (Liaison entre un groupe et un utilisateur) */
include($CONF_LIB_PATH."lib/system/system_data/right/rightmanagerfactory.php");
/* Classe GroupUser (Liaison entre un groupe et un utilisateur) */
include($CONF_LIB_PATH."lib/system/system_data/groupuser/groupusermanagerfactory.php");
/* Classe GroupUser (Liaison entre un groupe et un utilisateur) */
include($CONF_LIB_PATH."lib/system/system_data/nodegroupuser/nodegroupusermanagerfactory.php");
/* Ce fichier contient la classe DataObject */
include($CONF_LIB_PATH."lib/system/system_coordination/coordinationobjmanagerfactory.php");
/* Ce fichier contient la classe TreeNodeManagerFactory (Arborescence des donn?es) */
include($CONF_LIB_PATH."lib/system/system_data/treenode/treenodemanager.php");
/* Ce fichier contient la classe TreeGroupManagerFactory (Arborescence des Groupes) */
include($CONF_LIB_PATH."lib/system/system_data/treegroup/treegroupmanager.php");
/* Classe GroupUser */
include($CONF_LIB_PATH."lib/system/system_data/permission/permissionmanager.php");
/* Classe ListUserGroup */
include($CONF_LIB_PATH."lib/system/system_data/listusergroup/listusergroupmanager.php");
/* Classe ListUserRight */
include($CONF_LIB_PATH."lib/system/system_data/listusernode/listusernodemanager.php");
/* Inclusion des Libs de Session (Librairies de gestion Session PHP/DB) */
include($CONF_LIB_PATH."lib/system/system_data/usersession/usersessionmanagerfactory.php");


/* Gestion de la cache System */
include($CONF_LIB_PATH."lib/system/system_data/cache/cachemanagerfactory.php");

#####################################################################################################
### Inclusion des libs de plugin
#####################################################################################################

include($CONF_LIB_PATH."lib/system/system_plugin/pluginmanager.php");

#####################################################################################################
### Inclusion des libs de printing
#####################################################################################################

include($CONF_LIB_PATH."lib/system/system_printing/printingmanager.php");

#####################################################################################################
### Inclusion du control du systéme de gestion d'erreur
#####################################################################################################

include($CONF_LIB_PATH."lib/system/system_error/systemerror.php");

#####################################################################################################
### Inclusion des libs de Message
#####################################################################################################

include($CONF_LIB_PATH."lib/system/system_message/systemmessage.php");

#####################################################################################################
### Inclusion des libs de template
#####################################################################################################

include($CONF_LIB_PATH."lib/system/system_template/errormanager.php");
include($CONF_LIB_PATH."lib/system/system_template/modelixeqware.php");
?>
